package com.ruoyi.interfaces.service;

import java.util.List;
import com.ruoyi.interfaces.domain.MdDataItem;

/**
 * 数据项Service接口
 * 
 * @author ruoyi
 * @date 2025-07-25
 */
public interface IMdDataItemService 
{
    /**
     * 查询数据项
     * 
     * @param dataId 数据项主键
     * @return 数据项
     */
    public MdDataItem selectMdDataItemByDataId(String dataId);

    /**
     * 查询数据项列表
     * 
     * @param mdDataItem 数据项
     * @return 数据项集合
     */
    public List<MdDataItem> selectMdDataItemList(MdDataItem mdDataItem);

    /**
     * 新增数据项
     * 
     * @param mdDataItem 数据项
     * @return 结果
     */
    public int insertMdDataItem(MdDataItem mdDataItem);

    /**
     * 修改数据项
     * 
     * @param mdDataItem 数据项
     * @return 结果
     */
    public int updateMdDataItem(MdDataItem mdDataItem);

    /**
     * 批量删除数据项
     * 
     * @param dataIds 需要删除的数据项主键集合
     * @return 结果
     */
    public int deleteMdDataItemByDataIds(String[] dataIds);

    /**
     * 删除数据项信息
     * 
     * @param dataId 数据项主键
     * @return 结果
     */
    public int deleteMdDataItemByDataId(String dataId);
}
